### Function

# Gimp palette_entry_get_name

#### Declaration [src]

    gboolean
    gimp_palette_entry_get_name (
      const gchar* name,
      gint entry_num,
      gchar** entry_name
    )

#### Description [src]

Gets the specified palette entry from the specified palette.

This procedure retrieves the name of the zero-based entry specified for the specified palette. It returns an error if the entry does not exist.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The palette name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`entry_num` | `gint`
| The entry to retrieve.
`entry_name` | `gchar**`
| The name requested.
| The argument will be set by the function.
| The called function takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.